<?php
///////////////////////////////
//автор - figura             //
//сайт - http://f-pt.ru  //
///////////////////////////////
include("../sistem/cfg.dat");
include("../sistem/cfg_forum.dat");
include("../sistem/global.dat");
include("../temes/$teme/verh.dat");
//echo'<div class="razd"><B>ПАНЕЛЬ АДМИНИСТРАТОРА</B></div>';
if($status=="admin")
   {
      if(empty($act)){$act="index";}
      if($act=="index")
      {
         echo'<div class="razd">Настройки форума</div>';
         echo'<form name="forma" action="forum.php?'.SID.'" method="post">';
         echo'<INPUT TYPE="hidden" NAME="act" VALUE="addsistem">';
         
         
         
         
         echo'Экранировать статус "админ"<br>';
         echo'<SELECT NAME="new_ekran_status_admin">';
         if($ekran_status_admin == "on")
         {
            echo'<OPTION VALUE="on" selected>Вкл';
            echo'<OPTION VALUE="oof">Выкл';
         }else
         {
            
            echo'<OPTION VALUE="oof" selected>Выкл';
            echo'<OPTION VALUE="on">Вкл';
         }
         echo'</SELECT><br><br>';
         
         
         
         
         echo'Экранировать статус "модер"<br>';
         echo'<SELECT NAME="new_ekran_status_moder">';
         if($ekran_status_moder == "on")
         {
            echo'<OPTION VALUE="on" selected>Вкл';
            echo'<OPTION VALUE="oof">Выкл';
         }else
         {
            
            echo'<OPTION VALUE="oof" selected>Выкл';
            echo'<OPTION VALUE="on">Вкл';
         }
         echo'</SELECT><br><br>';
         
         
         
         
         echo'Экранировать статус "в бане"<br>';
         echo'<SELECT NAME="new_ekran_status_ban">';
         if($ekran_status_ban == "on")
         {
            echo'<OPTION VALUE="on" selected>Вкл';
            echo'<OPTION VALUE="oof">Выкл';
         }else
         {
            
            echo'<OPTION VALUE="oof" selected>Выкл';
            echo'<OPTION VALUE="on">Вкл';
         }
         echo'</SELECT><br><br>';
         
         
         
         
         echo'экранировать статус "удалён"<br>';
         echo'<SELECT NAME="new_ekran_status_dell">';
         if($ekran_status_dell == "on")
         {
            echo'<OPTION VALUE="on" selected>Вкл';
            echo'<OPTION VALUE="oof">Выкл';
         }else
         {
            
            echo'<OPTION VALUE="oof" selected>Выкл';
            echo'<OPTION VALUE="on">Вкл';
         }
         echo'</SELECT><br><br>';
         
         
         
         echo'Подробный вид Разделов<br>';
         echo'<SELECT NAME="new_fill_vid">';
         if($fill_vid == "on")
         {
            echo'<OPTION VALUE="on" selected>Вкл';
            echo'<OPTION VALUE="oof">Выкл';
         }else
         {
            
            echo'<OPTION VALUE="oof" selected>Выкл';
            echo'<OPTION VALUE="on">Вкл';
         }
         echo'</SELECT><br><br>';
         
         
         echo'Количество тем на страницу<br>';
         echo'<input type="text" name="new_cfg_nav_forum_tem" value="'.$nav_forum_tem.'" size="2" maxlength="2"><br><br>';
         
         echo'Количество постов на страницу<br>';
         echo'<input type="text" name="new_cfg_nav_forum_post" value="'.$nav_forum_post.'" size="2" maxlength="2"><br><br>';
         
         echo'Количество тем в списке популярных тем на страницу<br>';
         echo'<input type="text" name="new_cfg_nav_forum_new" value="'.$nav_forum_new.'" size="2" maxlength="2"><br><br>';
         
         
         
         
         echo'<input type="submit" name="" value="сохранить"><br>';
         echo'</form>';
         echo'<hr size="2" width="100%">';
         echo'<a href="index.php?'.SID.'">В меню</a><br>';
      }
      
      if($act=="addsistem"){
      	  if(isset($_POST['new_ekran_status_admin'])){$new_ekran_status_admin = $_POST['new_ekran_status_admin'];}
      	  if(isset($_POST['new_ekran_status_moder'])){$new_ekran_status_moder = $_POST['new_ekran_status_moder'];}
      	  if(isset($_POST['new_ekran_status_ban'])){$new_ekran_status_ban = $_POST['new_ekran_status_ban'];}
      	  if(isset($_POST['new_ekran_status_dell'])){$new_ekran_status_dell = $_POST['new_ekran_status_dell'];}
      	  
      	  if(isset($_POST['new_fill_vid'])){$new_fill_vid = $_POST['new_fill_vid'];}
      	  
      	  if(isset($_POST['new_cfg_nav_forum_tem'])){$new_cfg_nav_forum_tem = $_POST['new_cfg_nav_forum_tem'];}
      	  if(isset($_POST['new_cfg_nav_forum_post'])){$new_cfg_nav_forum_post = $_POST['new_cfg_nav_forum_post'];}
      	  if(isset($_POST['new_cfg_nav_forum_new'])){$new_cfg_nav_forum_new = $_POST['new_cfg_nav_forum_new'];}
      	  
      	  
      	  if(
      	  	   $new_ekran_status_admin !="on" && $new_ekran_status_admin !="oof" ||
      	  	   $new_ekran_status_moder !="on" && $new_ekran_status_moder !="oof" ||
      	  	   $new_ekran_status_ban !="on" && $new_ekran_status_ban !="oof" ||
      	  	   $new_ekran_status_dell !="on" && $new_ekran_status_dell !="oof" ||
      	  	   
      	  	   $new_fill_vid !="on" && $new_fill_vid !="oof" ||
      	  	   
      	  	   ($new_cfg_nav_forum_tem =="") || (eregi("[^0-9]" , $new_cfg_nav_forum_tem )) ||
      	  	   ($new_cfg_nav_forum_post =="") || (eregi("[^0-9]" , $new_cfg_nav_forum_post )) ||
      	  	   ($new_cfg_nav_forum_post =="") || (eregi("[^0-9]" , $new_cfg_nav_forum_post ))
      	  	   ){
      	  	      echo'<div class="razd"><B>Ошибка!!!</B></div>';
      	  	      echo'Не все поля из формы заполнены. Не хватает некоторых важных настроек!';
      	  	      echo'<hr size="2" width="100%">';
      	  	      echo'<a href="index.php?'.SID.'">Назад</a><br>';
      	  	   }else{
      	  	      //фильтруем переменные
      	  	      $new_ekran_status_admin=htmlspecialchars($new_ekran_status_admin);
      	  	      $new_ekran_status_moder=htmlspecialchars($new_ekran_status_moder);
      	  	      $new_ekran_status_ban=htmlspecialchars($new_ekran_status_ban);
      	  	      $new_ekran_status_dell=htmlspecialchars($new_ekran_status_dell);
      	  	      
      	  	      $new_fill_vid=htmlspecialchars($new_fill_vid);
      	  	      
$kod='<?php
$ekran_status_admin="'.$new_ekran_status_admin.'";//экранировать статус админ
$ekran_status_moder="'.$new_ekran_status_moder.'";//экранировать статус модер
$ekran_status_ban="'.$new_ekran_status_ban.'";//экранировать статус в бане
$ekran_status_dell="'.$new_ekran_status_dell.'";//экранировать статус удалён
$fill_vid="'.$new_fill_vid.'";//подробный вид разделов
$nav_forum_tem="'.$new_cfg_nav_forum_tem.'";//тем на страницу
$nav_forum_post="'.$new_cfg_nav_forum_post.'";//постов на страницу
$nav_forum_new="'.$new_cfg_nav_forum_new.'";//тем в топе
?>';
      	  	      
      	  	      $filecfg = fopen("../sistem/cfg_forum.dat", "w+");
      	  	      flock ($filecfg,LOCK_EX);
      	  	      fputs($filecfg,$kod);
      	  	      flock ($filecfg,LOCK_UN);
      	  	      fclose($filecfg);
      	  	      @chmod("../sistem/cfg_forum.dat", 0666);
      	  	      
      	  	      echo'<div class="razd"><B>Сохранено!!!</B></div>';
      	  	      echo'Все новые настройки сохранены';
      	  	      
      	  	      echo'<hr size="2" width="100%">';
      	  	      echo'<a href="index.php?'.SID.'">В меню</a><br>';
      	  	   }
      	  
      }
   }else{
//session_destroy();
echo'<div class="razd">Вам сюда нельзя</div>';
echo'Нужны права администратора';
echo'<hr size="2" width="100%">';

}




echo'<a href="../index.php?'.SID.'">Главная</a><br>';
include("../sistem/global_end.dat");
include("../temes/$teme/niz.dat");
?>